Package org.drinkless.tdlib

# Class TdApi.ChatsNearby

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatsNearby

Enclosing class:
  TdApi

public static class TdApi.ChatsNearby extends TdApi.Object
Represents a list of chats located nearby.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.ChatNearby[]`
  `supergroupsNearby`
  List of location-based supergroups nearby.
  `TdApi.ChatNearby[]`
  `usersNearby`
  List of users nearby.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatsNearby()`
  Represents a list of chats located nearby.
  `ChatsNearby(TdApi.ChatNearby[] usersNearby, TdApi.ChatNearby[] supergroupsNearby)`
  Represents a list of chats located nearby.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### usersNearby

    public TdApi.ChatNearby[] usersNearby
    List of users nearby.

  - ### supergroupsNearby

    public TdApi.ChatNearby[] supergroupsNearby
    List of location-based supergroups nearby.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatsNearby

    public ChatsNearby()
    Represents a list of chats located nearby.

  - ### ChatsNearby

    public ChatsNearby(TdApi.ChatNearby[] usersNearby, TdApi.ChatNearby[] supergroupsNearby)
    Represents a list of chats located nearby.
    Parameters:
      `usersNearby` - List of users nearby.
      `supergroupsNearby` - List of location-based supergroups nearby.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR